import request from "@/utils/httpRequest";
import { SYS_PATH as prefix } from "../AppPath";

export default {
	save: function (inputForm) {
		return request({
			url: prefix + "/sys/dataRule/save",
			method: "post",
			data: inputForm,
		});
	},

	delete: function (id) {
		return request({
			url: prefix + "/sys/dataRule/delete",
			method: "delete",
			params: { id: id },
		});
	},

	queryById: function (id) {
		return request({
			url: prefix + "/sys/dataRule/queryById",
			method: "get",
			params: { id: id },
		});
	},

	list: function (params) {
		return request({
			url: prefix + "/sys/dataRule/list",
			method: "get",
			params: params,
		});
	},
	treeData: function () {
		return request({
			url: prefix + "/sys/dataRule/treeData",
			method: "get",
		});
	},
};
